Summary:	Open source implementation of the OpenCL specification for Intel GPUs
Summary(pl.UTF-8):	Mająca otwarte źródła implementacja specyfikacji OpenCL dla GPU formy Intel
Name:		beignet
Version:	1.3.1
Release:	3
License:	LGPL v2+
Group:		Libraries
Source0:	https://01.org/sites/default/files/beignet-%{version}-source.tar.gz
# Source0-md5:	850886a71a34672ca26a42046d0bb442
Patch0:		cflags.patch
Patch1:		static_llvm.patch
Patch2:		new_SKL_ids.patch
Patch3:		llvm-3.8.patch
URL:		http://www.freedesktop.org/wiki/Software/Beignet/
BuildRequires:	Mesa-libgbm-devel
BuildRequires:	Mesa-libGL-devel >= 13.0.0
BuildRequires:	Mesa-libEGL-devel >= 13.0.0
BuildRequires:	OpenGL-devel
BuildRequires:	clang-devel >= 3.9
BuildRequires:	cmake >= 2.6.0
BuildRequires:	libdrm-devel >= 2.4.66
BuildRequires:	libedit-devel
BuildRequires:	libstdc++-devel
BuildRequires:	llvm >= 3.9
BuildRequires:	llvm-devel >= 3.9
BuildRequires:	ncurses-devel
BuildRequires:	ocl-icd-devel
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	zlib-devel
Provides:	ocl-icd(beignet)
Provides:	ocl-icd-driver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Beignet is an open source implementation of the OpenCL specification -
a generic compute oriented API. This code base contains the code to
run OpenCL programs on Intel GPUs which basically defines and
implements the OpenCL host functions required to initialize the
device, create the command queues, the kernels and the programs and
run them on the GPU.

%description -l pl.UTF-8
Beignet to mająca otwarte źródła implementacja specyfikacji OpenCL -
ogólnego API przeznaczonego do obliczeń. Ten pakiet zawiera kod do
uruchamiania programów OpenCL na procesorach graficznych (GPU) firmy
Intel; kod ten zasadniczo definiuje i implementuje funkcje hosta
OpenCL wymagane do zainicjowania urządzenia, tworzenia kolejek
poleceń, jądra i programów oraz uruchamia je na GPU.

%prep
%setup -qn Beignet-%{version}-Source
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
install -d build
cd build
%cmake \
	-DLIB_INSTALL_DIR=%{_libdir} \
	-DCMAKE_CXX_FLAGS_PLD="%{rpmcxxflags} -DNDEBUG -DGBE_DEBUG=0" \
	-DCMAKE_C_FLAGS_PLD="%{rpmcxxflags} -DNDEBUG -DGBE_DEBUG=0" \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/beignet.bc
%attr(755,root,root) %{_libdir}/%{name}/libcl.so
%attr(755,root,root) %{_libdir}/%{name}/libgbe.so
%attr(755,root,root) %{_libdir}/%{name}/libgbeinterp.so
%{_libdir}/%{name}/beignet.pch
%ifarch %{x8664}
%{_libdir}/%{name}/beignet_20.bc
%{_libdir}/%{name}/beignet_20.pch
%endif
%{_libdir}/%{name}/include
/etc/OpenCL/vendors/intel-beignet.icd
%changelog
* Thu Jun 15 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/beignet.git;a=log;h=master

* Thu Jun 15 2017 Jacek Konieczny <jajcus@jajcus.net> c84dfa0
- patch to fix test failure on LLVM 3.8+

* Wed Jun 14 2017 Jacek Konieczny <jajcus@jajcus.net> 1a11410
- Add support for some newer Skylake CPUs

* Thu Jun 08 2017 Jakub Bogusz <qboosh@pld-linux.org> eb67274
- summary typo, versioned libGL and libEGL dependencies

* Wed Jun 07 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 35350f6
- Release: 1

* Wed Jun 07 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 24f70a9
- OpenCL 2.0 files are installed on x86_64 only

* Wed Jun 07 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 6d557f5
- do not pass GEN_PCI_ID to build

* Wed Jun 07 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 474406e
- update dependencies for OpenCL 2.0 support

* Mon Jun 05 2017 Jacek Konieczny <jajcus@jajcus.net> 8373b18
- actually add the Debian patches

* Sun Jun 04 2017 Jacek Konieczny <jajcus@jajcus.net> b443934
- a couple of patches from Debian

* Sun Jun 04 2017 Jacek Konieczny <jajcus@jajcus.net> 039979b
- Version: 1.3.1, does not build

* Sun Jun 29 2014 Jacek Konieczny <jajcus@jajcus.net> 63c0427
- Release: 1

* Fri Jun 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 9dfe627
- pl, completed dependencies

* Thu Jun 26 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> 926f1a3
- use distfiles dropin for source

* Thu Jun 26 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> 978e36e
- Version: 0.9

* Tue Mar 18 2014 Elan Ruusamäe <glen@delfi.ee> 9d38e87
- source-md5

* Tue Mar 18 2014 Jacek Konieczny <jajcus@jajcus.net> 22ed1ab
- new package

